## totem-plugin-arte 0.9.2

=== Makefile ===
DESTDIR=
VERSION=0.9.2
NAME=totem-plugin-arte
PACKAGE=$(NAME)-$(VERSION)

all:
	valac -C arteplus7.vala cache.vala url-extractor.vala --pkg libsoup-2.4 --pkg totem --pkg gconf-2.0 --vapidir=./deps -D DEBUG_MESSAGES
	gcc -shared -fPIC `pkg-config --cflags --libs glib-2.0 libsoup-2.4 gtk+-2.0 totem-plparser gconf-2.0` -o libarteplus7.so arteplus7.c cache.c url-extractor.c -I./deps -D GETTEXT_PACKAGE="\"totem-arte\""
	msgfmt --output-file=po/de.mo po/de.po
	msgfmt --output-file=po/fr.mo po/fr.po

install:
	mkdir -p $(DESTDIR)/usr/lib/totem/plugins/arteplus7 $(DESTDIR)/usr/share/totem/plugins/arteplus7
	cp -f arteplus7.totem-plugin $(DESTDIR)/usr/lib/totem/plugins/arteplus7
	cp -f libarteplus7.so $(DESTDIR)/usr/lib/totem/plugins/arteplus7
	cp -f arteplus7-default.png $(DESTDIR)/usr/share/totem/plugins/arteplus7

	mkdir -p $(DESTDIR)/usr/share/locale/de/LC_MESSAGES
	mkdir -p $(DESTDIR)/usr/share/locale/fr/LC_MESSAGES
	cp -f po/de.mo $(DESTDIR)/usr/share/locale/de/LC_MESSAGES/totem-arte.mo
	cp -f po/fr.mo $(DESTDIR)/usr/share/locale/fr/LC_MESSAGES/totem-arte.mo

uninstall:
	rm -r $(DESTDIR)/usr/lib/totem/plugins/arteplus7 $(DESTDIR)/usr/share/totem/plugins/arteplus7
	rm $(DESTDIR)/usr/share/locale/de/LC_MESSAGES/totem-arte.mo
	rm $(DESTDIR)/usr/share/locale/fr/LC_MESSAGES/totem-arte.mo

clean:
	rm arteplus7.c cache.c url-extractor.c libarteplus7.so
	rm po/*mo

dist:
	rm -f ChangeLog
	git log --pretty=short > ChangeLog
	mkdir $(PACKAGE)
	mkdir $(PACKAGE)/po
	mkdir $(PACKAGE)/deps
	cp -f arteplus7.vala cache.vala url-extractor.vala arteplus7.totem-plugin $(PACKAGE)/
	cp -f arteplus7-default.png $(PACKAGE)/
	cp -f Makefile README AUTHORS COPYING NEWS ChangeLog $(PACKAGE)/
	cp -f po/POTFILES.in po/de.po po/fr.po $(PACKAGE)/po/
	cp -f deps/*.h deps/totem.vapi deps/totem.deps deps/COPYING.LGPL deps/license_change $(PACKAGE)/deps/
	tar -pczf $(PACKAGE).tar.gz $(PACKAGE)/
	rm -rf $(PACKAGE)

=== debian/changelog ===
totem-plugin-arte (0.9.2-1) experimental; urgency=low

  * New upstream release
    - Master: Arte changed the XML feed url
    - Fix: the RSS feed fallback did not work in this case
    - Make debug messages conditional at compiletime (they are still enabled
    by default)

 -- Nicolas Delvaux <nicolas.delvaux@gmx.com>  Tue, 28 Sep 2010 22:30:52 +0200

totem-plugin-arte (0.9.1-1) experimental; urgency=low

  * New upstream release
    - Asynchronous thumbnail download to speedup the startup time
    - Display a default thumbnail if none is available
    - Minor bugfixes

 -- Nicolas Delvaux <nicolas.delvaux@gmx.com>  Sun, 19 Sep 2010 15:20:31 +0200

totem-plugin-arte (0.9.0-1) experimental; urgency=low

  * New upstream release
  * Changes since last snapshot:
    - Improved fetching of the XML feed (get more videos)
    - Minor bugfixed
  * debian/control:
    -Add "Enhances: totem" (to display totem-plugin-arte as an add-on to totem
     in the new software-center)

 -- Nicolas Delvaux <nicolas.delvaux@gmx.com>  Tue, 14 Sep 2010 22:51:57 +0200

totem-plugin-arte (0.8.5~pre-2) experimental; urgency=low

  * Refresh dependencies:
    - Move gstreamer0.10-ffmpeg from 'Recommends' to 'Depends'
    - Drop gstreamer0.10-plugins-ugly from 'Recommends'

 -- Nicolas Delvaux <nicolas@nicolas-eisti>  Thu, 12 Aug 2010 16:39:54 +0200

totem-plugin-arte (0.8.5~pre-1) experimental; urgency=low

  * New unofficial snapshot:
    - Video playback is working again! (Closes: #589876)
    - Require the latest gst-plugins-bad
    - Use gnome proxy settings (only for UI, playback is not supported for now)
    - Try to guess user prefer language at first run
    - Some tweaks here and there
  * Bump Debian Policy to 3.9.1
  * Some packaging cleanup

 -- Nicolas Delvaux <nicolas.delvaux@gmx.com>  Thu, 05 Aug 2010 22:43:40 +0200

totem-plugin-arte (0.8.4-1) unstable; urgency=low

  * New upstream version
  * Video playback is working again! (Closes: #582553)

 -- Nicolas Delvaux <nicolas.delvaux@gmx.com>  Sun, 23 May 2010 15:42:24 +0200

totem-plugin-arte (0.8.3-1) unstable; urgency=low

  * Initial release. (Closes: #572919)

 -- Nicolas Delvaux <nicolas.delvaux@gmx.com>  Sun, 18 Mar 2010 14:49:42 +0200

=== debian/control ===
Source: totem-plugin-arte
Section: video
Priority: optional
Maintainer: Nicolas Delvaux <nicolas.delvaux@gmx.com>
Build-Depends: debhelper (>= 7),
               valac (>=0.7.10),
               libgtk2.0-dev,
               libtotem-plparser-dev,
               libsoup2.4-dev,
               libgconf2-dev,
               gettext
Standards-Version: 3.9.1

Package: totem-plugin-arte
Architecture: any
Depends: totem (<<2.90),
         gstreamer0.10-plugins-bad (>= 0.10.19.3),
         gstreamer0.10-ffmpeg,
         ${shlibs:Depends},
         ${misc:Depends}
Enhances: totem
Description: A totem plugin to watch streams from arte.tv
 This Totem plugin allows you to watch video streams from the Franco-German
 TV Channel Arte.
 .
 Sadly, this service is only available for IPs within Austria, France, Germany,
 Belgium and Switzerland.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1


build: build-stamp

build-stamp:
	dh_testdir

	$(MAKE)

	touch $@ 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/totem-plugin-arte install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## totem-plugin-arte 3.0.0

=== Makefile ===
DESTDIR=
VERSION=3.0.0
NAME=totem-plugin-arte
PACKAGE=$(NAME)-$(VERSION)
VALA_DEPS=--pkg Totem-1.0 --pkg PeasGtk-1.0 --pkg libsoup-2.4 --pkg gtk+-3.0
CC_ARGS=-X -fPIC -X -shared --Xcc="-D GETTEXT_PACKAGE=\"totem-arte\""
VALA_ARGS=-D DEBUG_MESSAGES $(CC_ARGS) -g
VALA_SOURCE=\
	arteplus7.vala \
	arteparser.vala \
	cache.vala \
	url-extractor.vala \
	video.vala \
	video-list-view.vala
EXTRA_DIST=\
	arteplus7.plugin \
	arteplus7-default.png \
	org.gnome.totem.plugins.arteplus7.gschema.xml \
	Makefile README AUTHORS COPYING NEWS ChangeLog

all:
	valac --library=arteplus7 $(VALA_SOURCE) $(VALA_DEPS) $(VALA_ARGS) -o libarteplus7.so
	msgfmt --output-file=po/de.mo po/de.po
	msgfmt --output-file=po/fr.mo po/fr.po

install:
	mkdir -p $(DESTDIR)/usr/lib/totem/plugins/arteplus7 $(DESTDIR)/usr/share/totem/plugins/arteplus7
	cp -f arteplus7.plugin $(DESTDIR)/usr/lib/totem/plugins/arteplus7
	cp -f libarteplus7.so $(DESTDIR)/usr/lib/totem/plugins/arteplus7
	cp -f arteplus7-default.png $(DESTDIR)/usr/share/totem/plugins/arteplus7

	mkdir -p $(DESTDIR)/usr/share/glib-2.0/schemas
	cp -f org.gnome.totem.plugins.arteplus7.gschema.xml $(DESTDIR)/usr/share/glib-2.0/schemas
	glib-compile-schemas $(DESTDIR)/usr/share/glib-2.0/schemas/

	mkdir -p $(DESTDIR)/usr/share/locale/de/LC_MESSAGES
	mkdir -p $(DESTDIR)/usr/share/locale/fr/LC_MESSAGES
	cp -f po/de.mo $(DESTDIR)/usr/share/locale/de/LC_MESSAGES/totem-arte.mo
	cp -f po/fr.mo $(DESTDIR)/usr/share/locale/fr/LC_MESSAGES/totem-arte.mo

uninstall:
	rm -r $(DESTDIR)/usr/lib/totem/plugins/arteplus7 $(DESTDIR)/usr/share/totem/plugins/arteplus7
	rm $(DESTDIR)/usr/share/glib-2.0/schemas/org.gnome.totem.plugins.arteplus7.gschema.xml
	glib-compile-schemas $(DESTDIR)/usr/share/glib-2.0/schemas/
	rm $(DESTDIR)/usr/share/locale/de/LC_MESSAGES/totem-arte.mo
	rm $(DESTDIR)/usr/share/locale/fr/LC_MESSAGES/totem-arte.mo

clean:
	rm -f arteplus7.c cache.c url-extractor.c libarteplus7.so
	rm -f arteplus7.vapi
	rm -f po/*mo

dist:
	rm -f ChangeLog
	git log --pretty=short > ChangeLog
	mkdir $(PACKAGE)
	mkdir $(PACKAGE)/po
	cp -f $(VALA_SOURCE) $(PACKAGE)/
	cp -f $(EXTRA_DIST) $(PACKAGE)/
	cp -f po/POTFILES.in po/de.po po/fr.po $(PACKAGE)/po/
	tar -pczf $(PACKAGE).tar.gz $(PACKAGE)/
	rm -rf $(PACKAGE)

=== debian/changelog ===
totem-plugin-arte (3.0.0-1) experimental; urgency=low

  * New upstream version (3.0.0):
    - Port to Totem 3.0 (GtK+ 3.0 and Libpeas)
    - Port from Gconf to Gsettings (Dconf)
    - Rewrite parsing and handling of multiple video feeds
    - Improve the robustness and quality of all video feeds
    - Many bugfixes
  * packaging:
    - Patch Makefile (do not try to install the compiled gsettings schema)
    - Drop all other patches (merged upstream)
    - Change priority to 'extra' (fix a debcheck warning)
    - Simplify the rules file dramatically (compat level bumped to 8)
    - Update copyright (we no longer ship totem headers)
    - Add vcs links in control
    - Tweak the short description (fix a lintian warning)
    - Bump Debian Policy to 3.9.2
    - Change my email address

 -- Nicolas Delvaux <contact@nicolas-delvaux.org>  Sun, 25 Aug 2011 22:40:46 +0200

totem-plugin-arte (0.9.2-3) unstable; urgency=low

  * Build-Depends on valac-0.12 (LP: #756186)
    - Cherry pick relevant patchs from upstream

 -- Nicolas Delvaux <contact@nicolas-delvaux.org>  Sun, 10 Apr 2011 11:38:30 +0200

totem-plugin-arte (0.9.2-2) unstable; urgency=low

  * Upload to unstable
  * debian/control:
    - Build-Depends on valac-0.10 instead of valac
    - Add Homepage
  * debian/patches: backport some code from upstream git
    - Search entry: Really set focus to the first video on return
    - Deal with video access restriction
    - New context menu: add a "right click" -> "Open in Web Browser" option
    - Update translations
    - Update user agent (not from upstream)
    - Build without debug messages by default (not from upstream)

 -- Nicolas Delvaux <contact@nicolas-delvaux.org>  Thu, 25 Mar 2011 22:03:11 +0100

=== debian/control ===
Source: totem-plugin-arte
Section: video
Priority: extra
Maintainer: Nicolas Delvaux <contact@nicolas-delvaux.org>
Build-Depends: debhelper (>= 8.0.0),
               libtotem-dev,
               valac-0.12,
               libgtk-3-dev,
               libsoup2.4-dev,
               libpeas-dev,
               gettext
Standards-Version: 3.9.2
Homepage: http://gitorious.org/totem-plugin-arte
Vcs-Git: git://gitorious.org/totem-plugin-arte/mainline.git
Vcs-Browser: http://gitorious.org/totem-plugin-arte/mainline/commits/master

Package: totem-plugin-arte
Architecture: any
Depends: totem (>> 2.90),
         gstreamer0.10-plugins-bad (>= 0.10.19.3),
         gstreamer0.10-ffmpeg,
         gsettings-desktop-schemas,
         ${shlibs:Depends},
         ${misc:Depends}
Enhances: totem
Description: Totem plugin to watch streams from arte.tv
 This plugin for Totem allows you to watch video streams from the Franco-German
 TV Channel Arte.
 .
 Sadly, this service is only available for IPs within Austria, France, Germany,
 Belgium and Switzerland.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Copied from the Makefile
CC_ARGS=-X -fPIC -X -shared --Xcc="-D GETTEXT_PACKAGE=\"totem-arte\""

override_dh_auto_build:
	# Build without debug messages and without debug symbols
	$(MAKE) VALA_ARGS='$(CC_ARGS)'

%:
	dh $@

## totem-plugin-arte 3.1.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 DESTDIR=
-VERSION=3.0.0
+VERSION=3.1.1
 NAME=totem-plugin-arte
 PACKAGE=$(NAME)-$(VERSION)
-VALA_DEPS=--pkg Totem-1.0 --pkg PeasGtk-1.0 --pkg libsoup-2.4 --pkg gtk+-3.0
+VALAC=valac
+VALA_DEPS=--pkg Totem-1.0 --pkg PeasGtk-1.0 --pkg libsoup-2.4 --pkg gtk+-3.0 --pkg gio-2.0
 CC_ARGS=-X -fPIC -X -shared --Xcc="-D GETTEXT_PACKAGE=\"totem-arte\""
 VALA_ARGS=-D DEBUG_MESSAGES $(CC_ARGS) -g
 VALA_SOURCE=\
@@ -11,7 +12,8 @@
 	cache.vala \
 	url-extractor.vala \
 	video.vala \
-	video-list-view.vala
+	video-list-view.vala \
+	connection-status.vala
 EXTRA_DIST=\
 	arteplus7.plugin \
 	arteplus7-default.png \
@@ -19,7 +21,7 @@
 	Makefile README AUTHORS COPYING NEWS ChangeLog
 
 all:
-	valac --library=arteplus7 $(VALA_SOURCE) $(VALA_DEPS) $(VALA_ARGS) -o libarteplus7.so
+	$(VALAC) --library=arteplus7 $(VALA_SOURCE) $(VALA_DEPS) $(VALA_ARGS) -o libarteplus7.so
 	msgfmt --output-file=po/de.mo po/de.po
 	msgfmt --output-file=po/fr.mo po/fr.po
 
@@ -31,7 +33,9 @@
 
 	mkdir -p $(DESTDIR)/usr/share/glib-2.0/schemas
 	cp -f org.gnome.totem.plugins.arteplus7.gschema.xml $(DESTDIR)/usr/share/glib-2.0/schemas
+ifeq ($(DISABLE_SCHEMAS_COMPILE),)
 	glib-compile-schemas $(DESTDIR)/usr/share/glib-2.0/schemas/
+endif
 
 	mkdir -p $(DESTDIR)/usr/share/locale/de/LC_MESSAGES
 	mkdir -p $(DESTDIR)/usr/share/locale/fr/LC_MESSAGES
@@ -57,6 +61,6 @@
 	mkdir $(PACKAGE)/po
 	cp -f $(VALA_SOURCE) $(PACKAGE)/
 	cp -f $(EXTRA_DIST) $(PACKAGE)/
-	cp -f po/POTFILES.in po/de.po po/fr.po $(PACKAGE)/po/
+	cp -f po/POTFILES.in po/POTFILES.skip po/arte-totem.pot po/de.po po/fr.po $(PACKAGE)/po/
 	tar -pczf $(PACKAGE).tar.gz $(PACKAGE)/
 	rm -rf $(PACKAGE)

=== debian/changelog ===
totem-plugin-arte (3.1.1-1) unstable; urgency=low

  * New upstream release:
    - Network-Manager integration
    - Improved thumbnail cache handling
    - Automatic user agent generator
    - Translation updates
    - Fix compilation with Vala 0.16
    - Require Vala 0.16
    - Many bugfixes
  * Drop all downstream patches
  * Bump Debian Policy to 3.9.3

 -- Nicolas Delvaux <contact@nicolas-delvaux.org>  Sun, 06 May 2012 13:31:30 +0200

totem-plugin-arte (3.0.1-1) unstable; urgency=low

  * New upstream release:
    - Fix FTBS and require valac >= 0.14.1 (Closes: #650231)
    - Minor bugfixes and improvements
  * All patches were upstreamed
  * Update the user-agent string to Firefox 10

 -- Nicolas Delvaux <contact@nicolas-delvaux.org>  Thu, 09 Feb 2012 10:37:02 +0100

totem-plugin-arte (3.0.0-2) unstable; urgency=low

  * Upload to unstable
  * Fix FTBS by switching to valac-0.14 and libpeas 1.1 (bump dependencies)
  * Update the user-agent string
  * Rework the "disable gsettings schema compilation" patch (use upstream patch)
  * Packaging:
    - Tweak the long description (some videos are playable everywhere)
    - Remove VCS links in Control (there is no VCS for this package)

 -- Nicolas Delvaux <contact@nicolas-delvaux.org>  Sun, 23 Oct 2011 13:55:28 +0200

## totem-plugin-arte 3.1.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 DESTDIR=
-VERSION=3.1.1
+VERSION=3.1.2
 NAME=totem-plugin-arte
 PACKAGE=$(NAME)-$(VERSION)
 VALAC=valac

=== debian/changelog ===
totem-plugin-arte (3.1.2-1ubuntu1) raring; urgency=low

  * Switch dependencies for GStreamer 1.0 (LP: #1085118) 
  * debian/patches/totem-3.6: Totem's add_to_playlist_and_play lost its third
    argument (add_to_recent). Upstream cherry-pick
    (7553f2a6eb3bae7acd398d843c5b9004682e5cf0)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 10 Dec 2012 14:32:24 +0000

totem-plugin-arte (3.1.2-1) unstable; urgency=medium

  * New upstream bug-fix only release
    - Closes: #687697
  * debian/copyright: fix a pedantic lintian warning

 -- Nicolas Delvaux <contact@nicolas-delvaux.org>  Sat, 15 Sep 2012 14:08:54 +0200

=== debian/control ===
Source: totem-plugin-arte
Section: video
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicolas Delvaux <contact@nicolas-delvaux.org>
Build-Depends: debhelper (>= 8.0.0),
               libtotem-dev,
               valac-0.16,
               libgtk-3-dev,
               libsoup2.4-dev,
               libpeas-dev (>= 1.2.0),
               gettext
Standards-Version: 3.9.3
Homepage: http://gitorious.org/totem-plugin-arte

Package: totem-plugin-arte
Architecture: any
Depends: totem (>> 2.90),
         gstreamer1.0-plugins-bad,
         gstreamer1.0-libav,
         gsettings-desktop-schemas,
         ${shlibs:Depends},
         ${misc:Depends}
Enhances: totem
Description: Totem plugin to watch streams from arte.tv
 This plugin for Totem allows you to watch video streams from the Franco-German
 TV Channel Arte.
 .
 Sadly, this service is fully available only for IPs within Austria, France,
 Germany, Belgium and Switzerland.

=== debian/watch ===
version=3
http://wenner.ch/files/public/mirror/totem-plugin-arte/totem-plugin-arte-(.*).tar.gz

## totem-plugin-arte 3.1.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 DESTDIR=
-VERSION=3.1.2
+VERSION=3.1.3
 NAME=totem-plugin-arte
 PACKAGE=$(NAME)-$(VERSION)
 VALAC=valac

=== debian/changelog ===
totem-plugin-arte (3.1.3-1) experimental; urgency=low

  * New upstream bug-fix release
  * Switch all gstreamer 0.10 deps to gstreamer 1.0 (LP: #1085118)
  * Harden the binary, fix 2 lintian warnings

 -- Nicolas Delvaux <contact@nicolas-delvaux.org>  Sun, 09 Dec 2012 23:50:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: totem-plugin-arte
 Section: video
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Delvaux <contact@nicolas-delvaux.org>
+Maintainer: Nicolas Delvaux <contact@nicolas-delvaux.org>
 Build-Depends: debhelper (>= 8.0.0),
-               libtotem-dev,
-               valac-0.16,
+	       dpkg-dev (>= 1.16.1),
+               libtotem-dev (>= 3.5),
+               valac-0.18,
                libgtk-3-dev,
                libsoup2.4-dev,
                libpeas-dev (>= 1.2.0),
@@ -15,7 +15,7 @@
 
 Package: totem-plugin-arte
 Architecture: any
-Depends: totem (>> 2.90),
+Depends: totem (>= 3.5),
          gstreamer1.0-plugins-bad,
          gstreamer1.0-libav,
          gsettings-desktop-schemas,

## totem-plugin-arte 3.2.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 DESTDIR=
-VERSION=3.1.3
+VERSION=3.2.1
 NAME=totem-plugin-arte
 PACKAGE=$(NAME)-$(VERSION)
 VALAC=valac
-VALA_DEPS=--pkg Totem-1.0 --pkg PeasGtk-1.0 --pkg libsoup-2.4 --pkg gtk+-3.0 --pkg gio-2.0
+VALA_DEPS=--pkg Totem-1.0 --pkg PeasGtk-1.0 --pkg libsoup-2.4 --pkg gtk+-3.0 --pkg gio-2.0 --pkg json-glib-1.0
 CC_ARGS=-X -fPIC -X -shared --Xcc="-D GETTEXT_PACKAGE=\"totem-arte\""
 VALA_ARGS=-D DEBUG_MESSAGES $(CC_ARGS) -g
 VALA_SOURCE=\
@@ -12,6 +12,7 @@
 	cache.vala \
 	url-extractor.vala \
 	video.vala \
+	cell-renderer-video.vala \
 	video-list-view.vala \
 	connection-status.vala
 EXTRA_DIST=\

=== debian/changelog ===
totem-plugin-arte (3.2.1-2) unstable; urgency=low

  * Do not build depends on a specific valac, closes: #739001
  * Bump Debian Policy to 3.9.5, no change needed

 -- Nicolas Delvaux <contact@nicolas-delvaux.org>  Fri, 14 Feb 2014 21:14:27 +0100

totem-plugin-arte (3.2.1-1) unstable; urgency=low

  * New upstream release
    - Closes: #719431
    - LP: #1211024, #1212824
  * Upload to unstable
  * Depend on the right version of dpkg-dev
  * Bump Debian Policy to 3.9.4, no change needed
  * Build against valac-0.20, closes: #707441, #709702

 -- Nicolas Delvaux <contact@nicolas-delvaux.org>  Sun, 22 Sep 2013 20:24:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: extra
 Maintainer: Nicolas Delvaux <contact@nicolas-delvaux.org>
 Build-Depends: debhelper (>= 8.0.0),
-	       dpkg-dev (>= 1.16.1),
+               dpkg-dev (>= 1.16.1~),
                libtotem-dev (>= 3.5),
-               valac-0.18,
+               valac (>= 0.20),
                libgtk-3-dev,
                libsoup2.4-dev,
                libpeas-dev (>= 1.2.0),
+               libjson-glib-dev,
                gettext
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://gitorious.org/totem-plugin-arte
 
 Package: totem-plugin-arte

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Hardening
# http://wiki.debian.org/Hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

# Copied from the Makefile
CC_ARGS=-X -fPIC -X -shared --Xcc="-D GETTEXT_PACKAGE=\"totem-arte\""

override_dh_auto_build:
	# Build without debug messages and without debug symbols
	dh_auto_build -- VALA_ARGS='$(VALAFLAGS) $(CC_ARGS)'

override_dh_auto_install:
	# Disable gsettings schemas compilation
	dh_auto_install -- DISABLE_SCHEMAS_COMPILE=1

%:
	dh $@

## totem-plugin-arte 3.2.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 DESTDIR=
-VERSION=3.2.1
+VERSION=3.2.2
 NAME=totem-plugin-arte
 PACKAGE=$(NAME)-$(VERSION)
 VALAC=valac

=== debian/changelog ===
totem-plugin-arte (3.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release, closes: LP: #1368596

 -- Nicolas Delvaux <contact@nicolas-delvaux.org>  Sun, 09 Nov 2014 21:24:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: totem-plugin-arte
 Section: video
 Priority: extra
-Maintainer: Nicolas Delvaux <contact@nicolas-delvaux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nicolas Delvaux <contact@nicolas-delvaux.org>
 Build-Depends: debhelper (>= 8.0.0),
                dpkg-dev (>= 1.16.1~),
                libtotem-dev (>= 3.5),
@@ -11,7 +12,7 @@
                libpeas-dev (>= 1.2.0),
                libjson-glib-dev,
                gettext
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://gitorious.org/totem-plugin-arte
 
 Package: totem-plugin-arte
